/*! \file RunAnalyses.C
    \brief Macro to run the MpdRoot analysis "train".

    Usage:
    root -l -b -q RunAnalyses.C
*/


void RunAnalyses(int nEvents = -1){
  gSystem->Load("libZdc.so");
  gSystem->Load("libMpdPhysics.so");


  MpdAnalysisManager man("ManagerAnal", nEvents);
  man.InputFileList("list.txt");
  //man.ReadBranches("*");
  man.ReadBranches("MCTrack,TpcKalmanTrack,ZdcDigi,Vertex,MPDEvent,TOFMatching");
  man.SetOutput("histos.root");

  MpdCentralityAll pCentr("pCentr", "pCentr");
  man.AddTask(&pCentr);


  MpdTrackPidMaker pPID("pPID","pPID") ;
  man.AddTask(&pPID) ;

  MpdNuclei taskNuclei10("mpdpid10", "mpdpid10", "mpdpid_10prc.json");
  man.AddTask(&taskNuclei10);

  MpdNuclei taskNuclei20("mpdpid20", "mpdpid20", "mpdpid_20prc.json");
  man.AddTask(&taskNuclei20);

  MpdNuclei taskNuclei80("mpdpid80", "mpdpid80", "mpdpid_80prc.json");
  man.AddTask(&taskNuclei80);


  MpdNuclei taskNuclei1("evpid2s", "evpid2s", "evpid_2sigma.json");
  man.AddTask(&taskNuclei1);

  man.Process();
}
